org.springframework.messaging.converter

## Class MessageConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.messaging.MessagingException
          - - org.springframework.messaging.converter.MessageConversionException

All Implemented Interfaces:
  Serializable

    public class MessageConversionException
    extends MessagingException

An exception raised by `MessageConverter` implementations.

Since:
  4.0
Author:
  Mark Fisher
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MessageConversionException(Message<?> failedMessage, String description)`
`MessageConversionException(Message<?> failedMessage, String description, Throwable cause)`
`MessageConversionException(String description)`
`MessageConversionException(String description, Throwable cause)`

### Method Summary

### Methods inherited from class org.springframework.messaging.MessagingException

`getFailedMessage, toString`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MessageConversionException

    public MessageConversionException(String description)

#### MessageConversionException

    public MessageConversionException(@Nullable
                                      String description,
                                      @Nullable
                                      Throwable cause)

#### MessageConversionException

    public MessageConversionException(Message<?> failedMessage,
                                      String description)

#### MessageConversionException

    public MessageConversionException(Message<?> failedMessage,
                                      @Nullable
                                      String description,
                                      @Nullable
                                      Throwable cause)